Package ru.bitel.bgbilling.plugins.assistant.common.bean

# Class AssistantMaster

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.assistant.common.bean.AssistantMaster

All Implemented Interfaces:
  `Serializable`, `IIdTitle`, `GuiTitlable`, `Idable`, `ListItem`

public class AssistantMaster extends IdTitle implements IIdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistantMaster()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Integer>`
  `getActionIds()`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `String`
  `getIconData()`
  `List<Integer>`
  `getRoleIds()`
  `String`
  `getStartActionId()`
  `int`
  `getStatus()`
  `boolean`
  `isShowBotAssistant()`
  `boolean`
  `isShowClient()`
  `boolean`
  `isShowClientContract()`
  `boolean`
  `isShowMobileAssistant()`
  `boolean`
  `isShowWebAssistant()`
  `boolean`
  `isShowWebLKAssistant()`
  `AssistantMaster`
  `setActionIds(List<Integer> actionIds)`
  `AssistantMaster`
  `setComment(String comment)`
  `AssistantMaster`
  `setConfig(String config)`
  `AssistantMaster`
  `setIconData(String iconData)`
  `AssistantMaster`
  `setId(int id)`
  Устанавливает id объекта
  `AssistantMaster`
  `setRoleIds(List<Integer> roleIds)`
  `AssistantMaster`
  `setShowBotAssistant(boolean showBotAssistant)`
  `AssistantMaster`
  `setShowClient(boolean showClient)`
  `AssistantMaster`
  `setShowClientContract(boolean showClientContract)`
  `AssistantMaster`
  `setShowMobileAssistant(boolean showMobileAssistant)`
  `AssistantMaster`
  `setShowWebAssistant(boolean showWebAssistant)`
  `AssistantMaster`
  `setShowWebLKAssistant(boolean showWebLKAssistant)`
  `AssistantMaster`
  `setStartActionId(String startActionId)`
  `AssistantMaster`
  `setStatus(int status)`
  `AssistantMaster`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `ru.bitel.bgbilling.plugins.assistant.common.dto.AssistantMasterDTO`
  `toAssistantMasterDTO()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.common.bean.IIdTitle

  `toIdTitle`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### AssistantMaster

    public AssistantMaster()

- ## Method Details

  - ### getActionIds

    public List<Integer> getActionIds()

  - ### getComment

    public String getComment()

  - ### getConfig

    public String getConfig()

  - ### getIconData

    public String getIconData()

  - ### getRoleIds

    public List<Integer> getRoleIds()

  - ### getStartActionId

    public String getStartActionId()

  - ### getStatus

    public int getStatus()

  - ### isShowBotAssistant

    public boolean isShowBotAssistant()

  - ### isShowClient

    public boolean isShowClient()

  - ### isShowClientContract

    public boolean isShowClientContract()

  - ### isShowMobileAssistant

    public boolean isShowMobileAssistant()

  - ### isShowWebAssistant

    public boolean isShowWebAssistant()

  - ### isShowWebLKAssistant

    public boolean isShowWebLKAssistant()

  - ### setActionIds

    public AssistantMaster setActionIds(List<Integer> actionIds)

  - ### setComment

    public AssistantMaster setComment(String comment)

  - ### setConfig

    public AssistantMaster setConfig(String config)

  - ### setIconData

    public AssistantMaster setIconData(String iconData)

  - ### setRoleIds

    public AssistantMaster setRoleIds(List<Integer> roleIds)

  - ### setShowBotAssistant

    public AssistantMaster setShowBotAssistant(boolean showBotAssistant)

  - ### setShowClient

    public AssistantMaster setShowClient(boolean showClient)

  - ### setShowClientContract

    public AssistantMaster setShowClientContract(boolean showClientContract)

  - ### setShowMobileAssistant

    public AssistantMaster setShowMobileAssistant(boolean showMobileAssistant)

  - ### setShowWebAssistant

    public AssistantMaster setShowWebAssistant(boolean showWebAssistant)

  - ### setShowWebLKAssistant

    public AssistantMaster setShowWebLKAssistant(boolean showWebLKAssistant)

  - ### setStartActionId

    public AssistantMaster setStartActionId(String startActionId)

  - ### setStatus

    public AssistantMaster setStatus(int status)

  - ### setId

    public AssistantMaster setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public AssistantMaster setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### toAssistantMasterDTO

    public ru.bitel.bgbilling.plugins.assistant.common.dto.AssistantMasterDTO toAssistantMasterDTO()